var Drupal = Drupal || { 'behaviors': {} };
Drupal.jsEnabled = document.getElementsByTagName ;
Drupal.attachBehaviors = function(context) {
context = context || document;
if (Drupal.jsEnabled) {
jQuery.each(Drupal.behaviors, function() {
this(context);
});
}
};
if (Drupal.jsEnabled) {
jQuery(document.documentElement).addClass('js');
document.cookie = 'has_js=1; path=/';
jQuery(document).ready(function() {
Drupal.attachBehaviors(this);
});
}
Drupal.behaviors.textarea = function(context) {
jQuery('textarea.resizable:not(.textarea-processed)', context).each(function() {
if (jQuery(this).is(('textarea.teaser:not(.teaser-processed)'))) {
return false;
}
var textarea = jQuery(this).addClass('textarea-processed'), staticOffset = null;
jQuery(this).wrap('<div class="resizable-textarea"><span></span></div>')
.parent().append($('<div class="grippie"></div>').mousedown(startDrag));
var grippie = jQuery('div.grippie', $(this).parent())[0];
grippie.style.marginRight = (grippie.offsetWidth - $(this)[0].offsetWidth) +'px';
function startDrag(e) {
staticOffset = textarea.height() - e.pageY;
textarea.css('opacity', 0.25);
jQuery(document).mousemove(performDrag).mouseup(endDrag);
return false;
}
function performDrag(e) {
textarea.height(Math.max(32, staticOffset + e.pageY) + 'px');
return false;
}
function endDrag(e) {
jQuery(document).unbind("mousemove", performDrag).unbind("mouseup", endDrag);
textarea.css('opacity', 1);
}
});
};